Skip to content

Overview

Digital Distribution Hub is a new Xsolla solution that aims to connect digital and cash based payments via push payments technology and e-commerce.

This reference combines API endpoints for two Xsolla products: In-Game Store and Pay Station. There are two base URLs:

  • https://store.xsolla.com/api for the Common, Catalog, Cart, and Order groups.
  • https://ps.xsolla.com for the Notifications group.

API endpoints in the Catalog group don’t require authorization.

To work with operations in the Cart and Order groups, you need to generate a token via Create user token.

Note

This reference shows a design of a future API and not a fully functioning interface. Currently, you can try only Catalog and Notifications groups endpoints. If you’d like to share your feedback, please email us at techdoc@xsolla.com.
Download OpenAPI description
Languages
Servers
Mock server
https://xsolla.redocly.app/_mock/api/digital-distribution-hub/
https://store.xsolla.com/api/
Operations
Operations
Operations
Operations

Request

Gets a list of bundles for building a catalog.

Attention. All projects have the limitation to the number of items that you can get in the response. The default and maximum value is 50 items per response.
Security
AuthForClient
Path
project_idintegerrequired

Project ID.

Example: 44056
Query
limitinteger

Limit for the number of elements on the page.

Example: limit=50
offsetinteger

Number of the element from which the list is generated (the count starts from 0).

Example: offset=0
localestring

Response language. Two-letter lowercase language code per ISO 639-1.

Default "en"
additional_fields[]Array of strings

The list of additional fields. These fields will be in the response if you send them in your request. Available fields media_list, order, long_description.

countrystring

Country to calculate regional prices and restrictions for catalog. Two-letter uppercase country code per ISO 3166-1 alpha-2. If you do not specify the country explicitly, it will be calculated based on user's IP address.

Default "US"
curl -i -X GET \
  'https://xsolla.redocly.app/_mock/api/digital-distribution-hub/v2/project/44056/items/bundle?limit=50&offset=0&locale=en&additional_fields%5B%5D=string&country=US' \
  -H 'Authorization: Bearer <YOUR_TOKEN_HERE>'

Responses

The list of bundles was successfully received.

Bodyapplication/json
itemsArray of objects(Catalog_client_bundle)
Response
application/json
{ "items": [ {} ] }

Request

Gets a specified bundle.

Security
AuthForClient
Path
project_idintegerrequired

Project ID.

Example: 44056
skustringrequired

Bundle SKU.

Example: kg_1
curl -i -X GET \
  https://xsolla.redocly.app/_mock/api/digital-distribution-hub/v2/project/44056/items/bundle/sku/kg_1 \
  -H 'Authorization: Bearer <YOUR_TOKEN_HERE>'

Responses

The specified bundle was successfully received.

Bodyapplication/json
skustring(Catalog_sku)

Unique item ID. The SKU may only contain lowercase Latin alphanumeric characters, periods, dashes, and underscores.

Example: "bundle_1"
namestring(Catalog_client_name)

Item name.

Example: "Big Rocket"
groupsArray of objects(Catalog_groups_response)

Groups the item belongs to.

Default []
Example: [{"external_id":"horror","name":{"en":"Horror"}}]
descriptionstring or null(Catalog_client_description)

Item description.

Example: "Big Rocket - description."
attributesArray of objects(Catalog_client-attributes-common)

List of attributes and their values corresponding to the item. Can be used for catalog filtering.

Default []
typestring(Catalog_type)

Type of item.

Example: "bundle"
bundle_typestring(Catalog_bundle_type)

Type of bundle. In this case, it is always standart.

Example: "standart"
image_urlstring or null(Catalog_image_url)

Image URL.

Example: "https://image.example.com"
is_freestring(Catalog_is_free)

Always false.

Default "false"
Example: "false"
priceobject or null(Catalog_price)

Item price.

total_content_priceobject or null(Catalog_total_content_price)

Sum of the bundle content prices.

virtual_pricesArray of objects(Catalog_virtual_prices)

Virtual prices.

contentArray of objects(Catalog_client_content)

Bundle package content.

Example: [{"description":"Big Rocket - short description.","image_url":"https://popmedia.blob.core.windows.net/popyourself/male/outfit/male_armor_white_a-01.png","sku":"big_rocket","name":"Big Rocket","type":"virtual_currency","quantity":100,"attributes":[],"is_free":false,"groups":[],"price":{"amount":10.99,"currency":"USD","amount_without_discount":10.99}}]
Response
application/json
{ "sku": "kg_1", "name": "kg_10.00_bundle", "type": "bundle", "description": "pricePoint_44056_1.", "attributes": [], "is_free": false, "order": 999, "groups": [], "price": { "amount": 9.99, "currency": "USD", "amount_without_discount": 9.99 }, "total_content_amount": { "amount": 10.99, "currency": "USD", "amount_without_discount": 10.99 }, "media_list": [], "virtual_prices": [], "bundle_type": "standard", "content": [ {} ] }
Operations
Operations
Operations